Return to TwoPointNineteen...

External Dependencies of GNOME 2.19.x

This page lists the versions of external dependencies that Gnome modules may depend upon, as well as a recommended version of each dependency. Gnome modules must build with the "minimum version" listed.

This page can be updated at any time by the release-team. Others outside the release team can update the micro version number of modules if (a) they introduce no other new (or newer) external dependencies and (b) the module has committed to API/ABI stability guidelines equivalent to those of our Developer Platform or Platform Bindings, and (c) the person who does the updates ensures that jhbuild and GARNOME are either updated or at least notified of the need to update. Please update only the recommended version instead of the minimum version unless an official GNOME module will require the newer version to build.

If you want to add a new dependency or want one of the minimum versions updated, make a good case for it on desktop-devel-list (this may only require a few sentences). In particular, provide reasons why it is important to bump the version number, explain any impact (compile and run time) on other modules, and list any additional external dependencies it would pull in as well as any requirements on newer versions of existing external dependencies. Be prepared for others to take a few days to test it (in particular, to ensure it builds) before giving a thumbs up or down. Recommended versions can be updated similarly.

If a module depends on either a new external dependency not listed here or a newer version of an external dependency than the minimum version listed here, we may revert to an older version of that module for Gnome 2.19.x (which may result in reversions of other modules too). The development version of that module can again be used once either this page is updated by the release-team or the new(er) external dependency is made optional.

If you have proposed newer modules, there appears to be general consensus for your proposals, and the release team hasn't responded within a week, please send an email to release-team@ asking that we update this page. We tend to give people time to respond, but then unfortunately forget to update things.

Proposed Additional or Newer Dependencies

Tarball

Notes

Status

libnotify

problem being discussed: requires notification-daemon to be useful, which requires libsexy, which is yet-another-widget-library. Some object to having another widget library when efforts exist to get rid of the proliferation of them we already have. See http://mail.gnome.org/archives/desktop-devel-list/2007-April/msg00171.html.||<bgcolor="#ff0000" style="text-align: center;">Rejected

Rarian

replaces scrollkeeper which is currently a desktop module.

Approved

Current Dependencies

Module

Minimum Version #

Recommended Version #

Download location

avahi

0.6.16

same

http://avahi.org/download/

cairo

1.2.6

1.4.10

http://cairographics.org/releases/

cairomm

1.2.2

same

http://cairographics.org/releases/

dbus

1.0.2

same

http://dbus.freedesktop.org/releases/dbus/

dbus-glib

0.71

0.73

http://dbus.freedesktop.org/releases/dbus-glib/

dbus-python

0.80.2

same

http://dbus.freedesktop.org/releases/dbus-python/

desktop-file-utils

0.10

same

http://www.freedesktop.org/software/desktop-file-utils/releases/

enchant

1.2.5

same

http://www.abisource.com/downloads/enchant/1.2.5/enchant-1.2.5.tar.gz

expat

1.95.7

same

http://easynews.dl.sourceforge.net/sourceforge/expat/expat-1.95.7.tar.gz

fontconfig

2.4.1

same

http://www.fontconfig.org/release/

gamin

0.1.8

same

http://www.gnome.org/~veillard/gamin/sources/

gnutls

1.4.0

same

http://www.gnu.org/software/gnutls/releases/

gpgme

1.0.0

same

ftp://ftp.gnupg.org/gcrypt/gpgme/

hal

0.5.9

same

http://freedesktop.org/~david/dist/

hicolor-icon-theme

0.10

same

http://icon-theme.freedesktop.org/releases/

icon-naming-utils

0.8.1

same

http://tango-project.org/releases/

iso-codes

0.53

same

ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes/

libcolorblind

0.01

same

http://alioth.debian.org/frs/download.php/1952/colorblind-0.0.1.tar.gz

libcroco

0.6.1

same

http://download.gnome.org/sources/libcroco/0.6/

libdaemon

0.10

same

http://0pointer.de/lennart/projects/libdaemon/

libgpg-error

1.4

same

http://ftp.gnupg.org/gcrypt/libgpg-error/

libgcrypt

1.2.2

same

http://ftp.gnupg.org/gcrypt/libgcrypt/

libgsf

1.14.5

same

http://download.gnome.org/sources/libgsf/

libmusicbrainz

2.1.3

2.1.4

http://ftp.musicbrainz.org/pub/musicbrainz/

liboil

0.3.8

0.3.9

http://liboil.freedesktop.org/download/

libtasn1

0.3.4

same

http://www.gnu.org/software/gnutls/releases/libtasn1/

libxklavier

3.2

same

http://download.gnome.org/sources/libxklavier/

opal

2.2.11

same

http://download.gnome.org/sources/opal/

opencdk

0.5.8

same

http://www.gnu.org/software/gnutls/releases/opencdk/

pkg-config

0.21

same

http://pkgconfig.freedesktop.org/releases/

poppler

0.6

same

http://poppler.freedesktop.org/

pycairo

1.2.2

same

http://cairographics.org/releases/

pwlib

1.10.10

same

http://download.gnome.org/sources/pwlib/

Python

2.4.3

same

http://www.python.org/ftp/python/

rarian

0.6.0

same

http://rarian.freedesktop.org/Releases/

shared-mime-info

0.22

same

http://freedesktop.org/~hadess/

startup-notification

0.9

same

http://download.gnome.org/sources/startup-notification/

system-tools-backends

2.2.0

2.4.0

http://download.gnome.org/sources/system-tools-backends/

firefox (mozilla)

2.0 (xulrunner-1.8.1 was never released)

same

http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0/source/

Xorg dependencies? ...

TwoPointNineteen/ExternalDependencies (last edited 2008-02-03 14:45:05 by localhost)